Bug 544295 - Review Request: upower - Power management service
Summary: Review Request: upower - Power management service
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-04 14:00 UTC by Richard Hughes
Modified: 2010-03-15 14:52 UTC (History)
7 users (show)

Fixed In Version: upower-0.9.1-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-15 14:52:03 UTC
mclasen: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)
Patch to fix most of the strangeness (3.66 KB, text/plain)
2010-03-03 16:30 UTC, Terje Røsten
no flags Details

Description Richard Hughes 2009-12-04 14:00:44 UTC
Spec URL: http://people.freedesktop.org/~hughsient/temp/upower.spec
SRPM URL: http://people.freedesktop.org/~hughsient/temp/upower-0.9.1-0.1.20091204git.fc12.src.rpm
Description: DeviceKit-power recently got renamed to upower, see

 http://lists.freedesktop.org/archives/devkit-devel/2009-December/000567.html

so it is only proper to change the Fedora package name too. This package will
obsolete (and provide - for transitioning) DeviceKit-power when we have converted the applications to use upower. 

It's expected DeviceKit-power and upower will co-exist for a couple of weeks to ease the pain a little.

See https://bugzilla.redhat.com/show_bug.cgi?id=543608 for more information.

[hughsie@hughsie-work devel]$ rpmlint /home/hughsie/rpmbuild/*RPM*/upower*
upower.i686: W: non-conffile-in-etc /etc/dbus-1/system.d/org.freedesktop.UPower.conf
4 packages and 0 specfiles checked; 0 errors, 1 warnings.

Thanks for reviewing this.

Comment 1 Matthias Clasen 2009-12-04 14:34:32 UTC
builds fine in mock. 
rpmlint says:

[mclasen@planemask Desktop]$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm
upower.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/org.freedesktop.UPower.conf
4 packages and 0 specfiles checked; 0 errors, 1 warnings.

The one warning is ignorable, files in /etc/dbus-1/system.d are not supposed to be config files (there was some upstream discussion in dbus to move this directory elsewhere, it may still happen).

Comment 2 Matthias Clasen 2009-12-04 15:53:48 UTC
Looking at the docs, I notice that Upower.7 refers to DeviceKit(7) - that should probably be removed.


Formal review:

package name: ok
spec file name: ok
packaging guidelines: 

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

These are not necessary when using %post(un) -p

Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version}
Requires: glib2 >= %{glib2_version}
Requires: polkit >= %{polkit_version}

The guidelines now have language that forbids explicit requires where an automatic library dep suffices. You probably want the explicit dep on dbus (for the daemon), so just add a comment there; but dbus-glib, glib2, polkit are probably all unnecessary. Might be good to compare with what david has done in upower.

-devel should require gtk-doc for %{_datadir}/gtk-doc/html/, I think.

mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
cp README AUTHORS NEWS COPYING HACKING doc/TODO $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}

Why are you doing this ? Just %doc README AUTHORS NEWS... in the file list should suffice.

License: ok

to be continued...

Comment 3 Thomas Spura 2009-12-04 16:52:40 UTC
Just a few other comments:

- %configure --disable-static works, no need to rm *.a

- https://fedoraproject.org/wiki/Packaging/Guidelines#.25global_preferred_over_.25define

Comment 4 Terje Røsten 2009-12-04 18:01:01 UTC
A bit more explicit listing in %files would not hurt.

Comment 5 Matthias Clasen 2009-12-04 18:12:30 UTC
License: field: ok
License file: ok
Spec file language: ok
Spec file readable: ok
Upstream sources: tarball missing
Buildable: ok
ExcludeArch: ok, none
BuildRequires: ok
locale handling: ok, none
ldconfig: ok
system libraries: ok
relocatable: ok, no
directory ownership: ok
duplicate files: ok
permissions: ok
%clean: ok
macro use: ok
permissible content: ok
large docs: ok, none
%doc content: ok
header files: ok
static libs: ok, none
pc files: ok
shared libs: ok
devel deps: ok
.la files: ok
gui apps: ok, none
file ownership: ok
%install: ok
utf8 filenames: ok

Comment 6 Richard Hughes 2010-03-03 15:17:12 UTC
New release, new srpm, new spec:

http://people.freedesktop.org/~hughsient/temp/upower-0.9.1-1.fc13.src.rpm
http://people.freedesktop.org/~hughsient/temp/upower.spec

[hughsie@work Desktop]$ rpmlint ~/rpmbuild/SRPMS/upower-*.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[hughsie@work Desktop]$ rpmlint ~/rpmbuild/RPMS/upower-*
upower.i686: W: non-conffile-in-etc /etc/dbus-1/system.d/org.freedesktop.UPower.conf
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

Thanks.

Comment 7 Matthias Clasen 2010-03-03 15:40:19 UTC
Ok, source is ok now.

Approved.

Comment 8 Terje Røsten 2010-03-03 15:52:54 UTC
If the linked spec is the correct one, there are several strange things here:

Requires: dbus-glib >= %{dbus_glib_version}
Requires: glib2 >= %{glib2_version}
Requires: polkit >= %{polkit_version}

The %doc thing is way off:

mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
cp README AUTHORS NEWS COPYING HACKING $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}

%doc %dir %{_datadir}/doc/%{name}-%{version}
%doc %{_datadir}/doc/%{name}-%{version}/NEWS
%doc %{_datadir}/doc/%{name}-%{version}/COPYINGRequires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%doc %{_datadir}/doc/%{name}-%{version}/AUTHORS
%doc %{_datadir}/doc/%{name}-%{version}/HACKING
%doc %{_datadir}/doc/%{name}-%{version}/README

What??

File listing is not good, please be more explicit.

The %define is useless, and should be %global any way.

Is these needed:

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

Comment 9 Terje Røsten 2010-03-03 15:55:10 UTC
And please change status to assigned.

Comment 10 Matthias Clasen 2010-03-03 16:04:08 UTC
Not sure what you think is wrong with the polkit requires. The library deps could certainly be dropped, and yes, the way the %doc is handled is odd.
The file list is just fine though.

Comment 11 Matthias Clasen 2010-03-03 16:09:29 UTC
I guess I missed the fact that I had my formal review split in two comments here.
Richard, can you fix up the few things I pointed out in comment 2 ?

Comment 12 Terje Røsten 2010-03-03 16:30:03 UTC
Created attachment 397598 [details]
Patch to fix most of the strangeness

Comment 13 Terje Røsten 2010-03-03 16:33:33 UTC
Note: I had to comment out the gir files, they were not created on my F12 system.

Another issue: compiling is silent so it's impossible to verify that %{optflags}
are being used during build.

Comment 14 Richard Hughes 2010-03-04 10:21:37 UTC
New spec for review, thanks:
http://people.freedesktop.org/~hughsient/temp/upower.spec

Comment 15 Terje Røsten 2010-03-08 09:01:44 UTC
Seems good, Matthias?

Comment 16 Matthias Clasen 2010-03-08 15:46:17 UTC
Yes, looks good to me now. Flag is already set...

Comment 17 Terje Røsten 2010-03-09 16:37:32 UTC
Please set fedora-cvs flags to continue.

Comment 18 Richard Hughes 2010-03-10 11:37:50 UTC
New Package CVS Request
=======================
Package Name: upower
Short Description: Power management service
Owners: rhughes
Branches: F-12 F-13
InitialCC: rhughes

Thanks!

Comment 19 Jason Tibbitts 2010-03-10 22:16:56 UTC
CVS done (by process-cvs-requests.py).

Comment 20 Richard Hughes 2010-03-15 14:52:03 UTC
Thanks!


Note You need to log in before you can comment on or make changes to this bug.